> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search placements

> Returns a list of placements that match the provided filters. Search placements by filters, sort, and free-text query. Returns candidate, company, job, fee, and placement metadata.



## OpenAPI

````yaml /api-reference/openapi.json post /placements/_search
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /placements/_search:
    post:
      tags:
        - Placements
      summary: Search placements
      description: >-
        Returns a list of placements that match the provided filters. Search
        placements by filters, sort, and free-text query. Returns candidate,
        company, job, fee, and placement metadata.
      operationId: searchPlacements
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchPlacementsDto'
      responses:
        '200':
          description: >-
            Successfully searched placements. Returns items array with
            pagination info containing page number, page size, and total count.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlacementPaginatedResponseDto'
        '400':
          description: >-
            Bad request - invalid body parameters, filters, sort, or pagination
            offset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    SearchPlacementsDto:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/AppliedPlacementFilterDto'
        sort:
          $ref: '#/components/schemas/AppliedPlacementSortDto'
        searchQuery:
          type: string
          maxLength: 100
        page:
          default: 0
          type: integer
          minimum: 0
          maximum: 9007199254740991
        pageSize:
          default: 20
          type: integer
          minimum: 1
          maximum: 100
      id: PrivateSearchPlacementsDto
    PlacementPaginatedResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PlacementListItemDto'
        pagination:
          $ref: '#/components/schemas/PaginationDto'
      required:
        - items
        - pagination
      id: PrivatePlacementPaginatedResponseDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    AppliedPlacementFilterDto:
      anyOf:
        - $ref: '#/components/schemas/AppliedPlacementDirectFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementTypeFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomFilterDto'
      id: PrivateAppliedPlacementFilterDto
    AppliedPlacementSortDto:
      type: object
      properties:
        sortId:
          type: string
          enum:
            - placement.placedAt
            - placement.startDate
            - placement.endDate
        sortDirection:
          type: string
          enum:
            - ASC
            - DESC
        attributePath:
          type: string
          enum:
            - placement.placedAt
            - placement.startDate
            - placement.endDate
        sortType:
          type: string
          enum:
            - predefined
      required:
        - sortId
        - sortDirection
        - attributePath
        - sortType
      id: PrivateAppliedPlacementSortDto
    PlacementListItemDto:
      type: object
      properties:
        id:
          type: string
        templateId:
          type: string
        type:
          type: string
          enum:
            - CONTINGENT
            - INTERIM
            - RETAINED
        placedByUser:
          $ref: '#/components/schemas/PlacementUserBadgeDto'
        placedAt:
          $ref: '#/components/schemas/DateISO'
        startDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        endDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        fee:
          anyOf:
            - $ref: '#/components/schemas/PlacementFeeDto'
            - type: 'null'
        extensionOf:
          anyOf:
            - $ref: '#/components/schemas/PlacementExtensionOfDto'
            - type: 'null'
        applicationId:
          type: string
        candidate:
          $ref: '#/components/schemas/PlacementCandidateBadgeDto'
        company:
          $ref: '#/components/schemas/PlacementCompanyBadgeDto'
        vacancy:
          anyOf:
            - $ref: '#/components/schemas/PlacementVacancyBadgeDto'
            - type: 'null'
      required:
        - id
        - templateId
        - type
        - placedByUser
        - placedAt
        - startDate
        - endDate
        - fee
        - extensionOf
        - applicationId
        - candidate
        - company
        - vacancy
      id: PrivatePlacementListItemDto
    PaginationDto:
      type: object
      properties:
        totalItems:
          type: number
        page:
          type: number
        hasNextPage:
          type: boolean
      required:
        - totalItems
        - page
        - hasNextPage
      id: PaginationDto
    AppliedPlacementDirectFilterDto:
      anyOf:
        - $ref: '#/components/schemas/AppliedPlacementDateFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementDateRangeFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementEntitySelectFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementEntityMultiSelectFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementBooleanFilterDto'
      id: PrivateAppliedPlacementDirectFilterDto
    AppliedPlacementTypeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - enumSelect
        operator:
          $ref: '#/components/schemas/EnumSelectFilterOperator'
        path:
          type: string
          enum:
            - placement.type
        value:
          minItems: 1
          type: array
          items:
            type: string
            enum:
              - CONTINGENT
              - INTERIM
              - RETAINED
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementTypeFilterDto
    AppliedPlacementVacancyCustomFilterDto:
      anyOf:
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomTextFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomDateFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomEmptyDateFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomDateRangeFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomNumberFilterDto'
        - $ref: >-
            #/components/schemas/AppliedPlacementVacancyCustomNumberRangeFilterDto
        - $ref: >-
            #/components/schemas/AppliedPlacementVacancyCustomEntitySelectFilterDto
        - $ref: >-
            #/components/schemas/AppliedPlacementVacancyCustomEntityMultiSelectFilterDto
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomBooleanFilterDto'
        - $ref: >-
            #/components/schemas/AppliedPlacementVacancyCustomEnumSelectFilterDto
        - $ref: >-
            #/components/schemas/AppliedPlacementVacancyCustomEnumListSelectFilterDto
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomCurrencyFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomDurationFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomUrlFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomTimeStampFilterDto'
        - $ref: '#/components/schemas/AppliedPlacementVacancyCustomRatingFilterDto'
        - $ref: >-
            #/components/schemas/AppliedPlacementVacancyCustomRatingRangeFilterDto
      id: PrivateAppliedPlacementVacancyCustomFilterDto
    PlacementUserBadgeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
        deactivatedAt:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - id
        - name
        - avatarUrl
        - deactivatedAt
      id: PrivatePlacementUserBadgeDto
    DateISO:
      id: DateISO
      format: date-time
      anyOf:
        - type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
    PlacementFeeDto:
      type: object
      properties:
        id:
          type: string
        net:
          anyOf:
            - $ref: '#/components/schemas/PlacementMonetaryAmountDto'
            - type: 'null'
        splits:
          type: array
          items:
            $ref: '#/components/schemas/PlacementFeeSplitDto'
        details:
          description: >-
            Experimental. The structure of this field is intentionally
            unspecified and may change without notice.
          anyOf:
            - type: object
              propertyNames:
                type: string
              additionalProperties: {}
            - type: 'null'
      required:
        - id
        - net
        - splits
      id: PrivatePlacementFeeDto
    PlacementExtensionOfDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id
      id: PrivatePlacementExtensionOfDto
    PlacementCandidateBadgeDto:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        middleName:
          anyOf:
            - type: string
            - type: 'null'
        secondLastName:
          anyOf:
            - type: string
            - type: 'null'
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - firstName
        - lastName
        - middleName
        - secondLastName
        - avatarUrl
      id: PrivatePlacementCandidateBadgeDto
    PlacementCompanyBadgeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        logoCdnUrl:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - name
        - logoCdnUrl
      id: PrivatePlacementCompanyBadgeDto
    PlacementVacancyBadgeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      id: PrivatePlacementVacancyBadgeDto
    AppliedPlacementDateFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          $ref: '#/components/schemas/DateFilterOperator'
        path:
          type: string
          enum:
            - placement.placedAt
            - placement.startDate
            - placement.endDate
        value:
          $ref: '#/components/schemas/DateISO'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementDateFilterDto
    AppliedPlacementDateRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - dateRange
        operator:
          $ref: '#/components/schemas/DateRangeFilterOperator'
        path:
          type: string
          enum:
            - placement.placedAt
            - placement.startDate
            - placement.endDate
        value:
          type: object
          properties:
            from:
              $ref: '#/components/schemas/DateISO'
            to:
              $ref: '#/components/schemas/DateISO'
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementDateRangeFilterDto
    AppliedPlacementEntitySelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          $ref: '#/components/schemas/EntitySelectFilterOperator'
        path:
          type: string
          enum:
            - placement.placedBy.user
            - placement.vacancy
            - placement.company
            - placement.candidate
        value:
          type: array
          items:
            anyOf:
              - type: string
              - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementEntitySelectFilterDto
    AppliedPlacementEntityMultiSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          $ref: '#/components/schemas/EntityMultiSelectFilterOperator'
        path:
          type: string
          enum:
            - placement.feeSplit.user
        value:
          type: array
          items:
            anyOf:
              - type: string
              - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementEntityMultiSelectFilterDto
    AppliedPlacementBooleanFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - boolean
        operator:
          $ref: '#/components/schemas/BooleanFilterOperator'
        path:
          type: string
          enum:
            - placement.application.isSpeculative
        value:
          type: boolean
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementBooleanFilterDto
    EnumSelectFilterOperator:
      type: string
      enum:
        - in
        - notIn
      id: EnumSelectFilterOperator
    AppliedPlacementVacancyCustomTextFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - text
        operator:
          type: string
          enum:
            - contains
            - equals
            - startsWith
            - notEquals
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomTextFilterDto
    AppliedPlacementVacancyCustomDateFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          $ref: '#/components/schemas/DateFilterOperator'
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          $ref: '#/components/schemas/DateISO'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomDateFilterDto
    AppliedPlacementVacancyCustomEmptyDateFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          type: string
          enum:
            - isEmpty
            - isNotEmpty
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
      required:
        - type
        - operator
        - path
      id: PrivateAppliedPlacementVacancyCustomEmptyDateFilterDto
    AppliedPlacementVacancyCustomDateRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          $ref: '#/components/schemas/DateRangeFilterOperator'
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: object
          properties:
            from:
              $ref: '#/components/schemas/DateISO'
            to:
              $ref: '#/components/schemas/DateISO'
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomDateRangeFilterDto
    AppliedPlacementVacancyCustomNumberFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: number
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomNumberFilterDto
    AppliedPlacementVacancyCustomNumberRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
        operator:
          type: string
          enum:
            - between
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: object
          properties:
            from:
              type: number
            to:
              type: number
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomNumberRangeFilterDto
    AppliedPlacementVacancyCustomEntitySelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          $ref: '#/components/schemas/EntitySelectFilterOperator'
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomEntitySelectFilterDto
    AppliedPlacementVacancyCustomEntityMultiSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          $ref: '#/components/schemas/EntityMultiSelectFilterOperator'
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: array
          items:
            anyOf:
              - type: string
              - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomEntityMultiSelectFilterDto
    AppliedPlacementVacancyCustomBooleanFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - boolean
        operator:
          $ref: '#/components/schemas/BooleanFilterOperator'
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: boolean
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomBooleanFilterDto
    AppliedPlacementVacancyCustomEnumSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - enumSelect
        operator:
          type: string
          enum:
            - in
            - notIn
            - isAllOf
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: array
          items:
            anyOf:
              - type: string
              - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomEnumSelectFilterDto
    AppliedPlacementVacancyCustomEnumListSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - enumListSelect
        operator:
          type: string
          enum:
            - contains
            - doesNotContain
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomEnumListSelectFilterDto
    AppliedPlacementVacancyCustomCurrencyFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - currency
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: object
          properties:
            amount:
              type: number
            currency:
              $ref: '#/components/schemas/DmCurrency'
          required:
            - amount
            - currency
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomCurrencyFilterDto
    AppliedPlacementVacancyCustomDurationFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - duration
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: number
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomDurationFilterDto
    AppliedPlacementVacancyCustomUrlFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - url
        operator:
          type: string
          enum:
            - equals
            - notEquals
            - contains
            - startsWith
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomUrlFilterDto
    AppliedPlacementVacancyCustomTimeStampFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - timestamp
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          $ref: '#/components/schemas/DateISO'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomTimeStampFilterDto
    AppliedPlacementVacancyCustomRatingFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - rating
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
            - equals
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: number
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomRatingFilterDto
    AppliedPlacementVacancyCustomRatingRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - rating
        operator:
          type: string
          enum:
            - between
        path:
          $ref: '#/components/schemas/PlacementVacancyCustomAttributePathDto'
        value:
          type: object
          properties:
            from:
              type: number
            to:
              type: number
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedPlacementVacancyCustomRatingRangeFilterDto
    PlacementMonetaryAmountDto:
      type: object
      properties:
        amount:
          type: number
          example: 10000
        currency:
          $ref: '#/components/schemas/DmSupportedCurrency'
          example: EUR
      required:
        - amount
        - currency
      id: PrivatePlacementMonetaryAmountDto
    PlacementFeeSplitDto:
      type: object
      properties:
        user:
          $ref: '#/components/schemas/PlacementUserBadgeDto'
        percentage:
          type: number
          minimum: 0
          maximum: 1
      required:
        - user
        - percentage
      id: PrivatePlacementFeeSplitDto
    DateFilterOperator:
      type: string
      enum:
        - lessThanOrEqual
        - greaterThanOrEqual
        - equals
        - notEquals
      id: DateFilterOperator
    DateRangeFilterOperator:
      type: string
      enum:
        - between
      id: DateRangeFilterOperator
    EntitySelectFilterOperator:
      type: string
      enum:
        - in
        - notIn
      id: EntitySelectFilterOperator
    EntityMultiSelectFilterOperator:
      type: string
      enum:
        - in
        - notIn
        - isAllOf
      id: EntityMultiSelectFilterOperator
    BooleanFilterOperator:
      type: string
      enum:
        - equals
        - notEquals
      id: BooleanFilterOperator
    PlacementVacancyCustomAttributePathDto:
      type: string
      pattern: ^placement\.vacancy\.custom\.[^\r\n]+$
      id: PrivatePlacementVacancyCustomAttributePathDto
    DmCurrency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTC
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLF
        - CLP
        - CNH
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GGP
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - IMP
        - INR
        - IQD
        - IRR
        - ISK
        - JEP
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STD
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VEF
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XCD
        - XCG
        - XDR
        - XOF
        - XPD
        - XPF
        - XPT
        - YER
        - ZAR
        - ZMW
        - ZWG
        - ZWL
      id: DmCurrency
    DmSupportedCurrency:
      type: string
      enum:
        - EUR
        - GBP
        - USD
        - ZAR
        - AUD
        - CHF
        - SAR
        - AED
        - EGP
        - HUF
        - RON
        - BGN
        - CZK
        - PLN
        - NOK
        - SEK
        - DKK
        - CAD
        - HKD
        - JPY
        - THB
        - CNY
        - INR
        - SGD
        - MYR
        - QAR
        - PHP
        - LKR
        - KWD
        - PKR
        - MOP
        - IDR
        - VND
        - KRW
        - MXN
        - BRL
        - ARS
        - NZD
        - TWD
        - ILS
        - TRY
        - RUB
        - MDL
        - MUR
        - OMR
      id: DmSupportedCurrency
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````